# $Id: git.spec 5167 2007-02-14 13:03:17Z dries $
# Authority: dag

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%{?dist: %{expand: %%define %dist 1}}

%{?fc1:%define _without_asciidoc 1}
%{?el3:%define _without_asciidoc 1}
%{?rh9:%define _without_asciidoc 1}
%{?rh8:%define _without_asciidoc 1}
%{?rh7:%define _without_asciidoc 1}
%{?el2:%define _without_asciidoc 1}
%{?rh6:%define _without_asciidoc 1}

Summary: Git core and tools
Name: git
Version: 1.5.0.6
Release: 1.rf
License: GPL
Group: Development/Tools
URL: http://git.or.cz/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://kernel.org/pub/software/scm/git/git-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel, openssl-devel, curl-devel
%{!?_without_asciidoc:BuildRequires: xmlto, asciidoc > 6.0.3}
Requires: sh-utils, diffutils, rsync, rcs, mktemp >= 1.5

%description
GIT comes in two layers. The bottom layer is merely an extremely fast
and flexible filesystem-based database designed to store directory trees
with regard to their history. The top layer is a SCM-like tool which
enables human beings to work with the database in a manner to a degree
similar to other SCM tools (like CVS, BitKeeper or Monotone).

%package -n perl-Git
Summary: Perl module that implements Git bindings
Group: Development/CPAN

Requires: %{name} = %{version}-%{release}

%description -n perl-Git
Git is a Perl module that implements Git bindings.

%prep
%setup

%build
%{__make} %{?_smp_mflags} all CFLAGS="%{optflags}" prefix="%{_prefix}" WITH_OWN_SUBPROCESS_PY="YesPlease"

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" CFLAGS="%{optflags}" prefix="%{_prefix}" mandir="%{_mandir}" INSTALLDIRS="vendor"

### Clean up buildroot
find %{buildroot}%{_bindir} -type f -exec %{__perl} -pi -e 's|^$RPM_BUILD_ROOT||' {} \;
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING Documentation/*.txt README
#%{!?_without_asciidoc:%doc %{_mandir}/man1/*.1*}
#%{!?_without_asciidoc:%doc %{_mandir}/man7/*.7*}
%{_bindir}/git*
%{_datadir}/git-core/

%files -n perl-Git
%defattr(-, root, root, 0755)
%doc %{_mandir}/man3/Git.3pm*
%{perl_vendorlib}/Git.pm

%changelog
* Sat Jun 09 2007 Dag Wieers <dag@wieers.com> - 1.5.0.6-1 - 5167+/dries
- Update to release 1.5.0.6.

* Wed Feb 14 2007 Dries Verachtert <dries@ulyssis.org> - 0.99.4-3
- Fix location of templates (Dave Miller).
- Option '--unsafe' added to call to asciidoc.
- Fix asciidoc problem with '^'.

* Sun Aug 14 2005 Dries Verachtert <dries@ulyssis.org> - 0.99.4-1
- Update to release 0.99.4.

* Wed Aug 10 2005 Dag Wieers <dag@wieers.com> - 0.99.1-1
- Small cleanup.
- Added documentation using asciidoc.

* Wed Jul 07 2005 Chris Wright <chris@osdl.org> - 0.99-1
- Initial git spec file.
